VirtualBox: installazione

Da Guide@Debianizzati.Org.

VirtualBox

Sommario

Installazione e configurazione
Amministrazione
Altro

Indice

L'installazione di VirtualBox può essere effettuata in due modi:

Repository di Debian

Premessa

L'installazione dei pacchetti raccomandati da virtualbox implica l'installazione di un ingente quantitativo di pacchetti legati ad ambienti grafici. Questo non è evidentemente un problema se la macchina su cui si sta per installare virtualbox è già dotata di un ambiente grafico e/o si prevede di gestire sistemi guest con ambiente grafico, tipo windows, ma in caso contrario i pacchetti raccomandati finiscono solo per appesantire inutilmente il sistema. La differenza è notevole, si va da più di 500 MB di pacchetti da scaricare nel primo caso a meno di 100 nel secondo, pertanto se si ricade nel secondo caso accertarsi di non aver abilitato l'installazione automatica dei pacchetti raccomandati.

Wheezy, Jessie, Stretch e Sid

È sufficiente un:

# apt-get install virtualbox virtualbox-dkms virtualbox-qt

Il pacchetto "virtualbox-qt" non è indispensabile e serve solo per ottenere un'interfaccia basata sulle librerie Qt (ad esempio per chi utilizza KDE).

Squeeze

Squeeze non è più supportata da Debian e si consiglia un aggiornamento a versioni più recenti. La versione di VirtualBox presente negli Archivi Debian (pacchetto virtualbox-ose) è la 3.2.

Repository di Oracle

VirtualBox è anche presente nei repository messi a disposizione da Oracle[1]. Dalla versione 4 l'unica differenza rispetto ai repository di Debian è data da un'eventuale versione più recente.

In caso si decida di scegliere questa via, inserire in /etc/apt/sources.list le seguenti righe per la versione Debian che si sta utilizzando.

Stretch e Sid

### Repository di VirtualBox ###
deb http://download.virtualbox.org/virtualbox/debian stretch contrib

Jessie

### Repository di VirtualBox ###
deb http://download.virtualbox.org/virtualbox/debian jessie contrib

Wheezy

### Repository di VirtualBox ###
deb http://download.virtualbox.org/virtualbox/debian wheezy contrib

Squeeze

### Repository di VirtualBox ###
deb http://download.virtualbox.org/virtualbox/debian squeeze contrib non-free

Lenny

### Repository di VirtualBox ###
deb http://download.virtualbox.org/virtualbox/debian lenny contrib non-free

Installazione

Per installare VirtualBox dai repository di Oracle, bisogna innanzitutto prelevare la chiave pubblica necessaria per controllare l'autenticità dei pacchetti:

# apt-key adv --fetch-keys  http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc

e quindi controllare che il fingerprint della chiave appena importata sia corretto. Ad esempio, se il comando:

# apt-key list

restituisce, tra le altre cose, qualcosa di simile a:

pub   1024D/98AB5139 2010-05-18
uid                  Oracle Corporation (VirtualBox archive signing key) <info@virtualbox.org>
sub   2048g/281DDC4B 2010-05-18

/etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg

il fingerprint della chiave con ID uguale a 98AB5139 deve essere ricavato con il comando:

#  apt-key finger 98AB5139

che restituirà in output:

pub   1024D/98AB5139 2010-05-18
     Impronta digitale della chiave = 7B0F AB3A 13B9 0743 5925  D9C9 5442 2A4B 98AB 5139
uid                  Oracle Corporation (VirtualBox archive signing key) <info@virtualbox.org>
sub   2048g/281DDC4B 2010-05-18

Il valore ottenuto va confrontato con quello contenuto in questa pagina[1]. Installare i pacchetti provenienti dal repository di Oracle solo nel caso in cui i due valori siano identici.

Una volta verificata con successo la chiave pubblica, si può passare ad aggiornare la lista dei pacchetti prelevabili dai repository:

# apt-get update

ed infine a installare VirtualBox in base alla versione di Debian utilizzata:

Possibili problemi

Se l'installazione di VirtualBox dovesse risultare impossibile a causa di questo errore:
I seguenti pacchetti hanno dipendenze non soddisfatte:
 virtualbox-5.0 : Dipende: libvpx1 (>= 1.0.0) ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

è necessario installare il pacchetto libvpx1 da Wheezy o Jessie in quanto su Stretch e Sid, attualmente, è stato sostituito dal pacchetto libvpx3. È sufficiente abilitare i repository di Jessie (o Wheezy) all'interno del proprio file /etc/apt/sources.list, eseguire un update e poi:

# apt-get install -t jessie libvpx1

oppure:

# apt-get install -t stable libvpx1

in base alla riga aggiunta in sources.list.

Link esterni

[1] Download di VirtualBox dal sito Oracle (pacchetti .deb e repository)

Strumenti personali
Namespace
Varianti
Azioni
Navigazione
Risorse
Strumenti